
SCM Creator (+Github) - Feature #1877

Allow deletion of repository but ask if want to delete the entire physical folders

21 Oct 2011 07:03 - James Ang

Status: Closed Start date: 21 Oct 2011

Priority: Normal Due date: 01 Jun 2012

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.4.0   

External issue:    

Description

Currently,

either we allows or disallows deletion of repository globally.

Can we have a prompt to ask if we want to delete the entire physical repository or keep it?

Thanks.

Associated revisions

Revision 90 - 01 Jun 2012 13:55 - Andriy Lesyuk

Added confirmation dialog (fixes #1877)

History

#1 - 22 Oct 2011 09:36 - Andriy Lesyuk

- Status changed from New to Open

- Target version deleted (0.3.0)

I believe yes! Need to check how complex is to add this...

#2 - 05 Nov 2011 19:11 - Andriy Lesyuk

- Target version set to 0.4.0

New version of the plugin supports “on deletion” script which can help resolving this issue...

Postponing issue for later version. Going to support prompt only when user clicks on “Delete” link (not when a project is removed).

#3 - 01 Jun 2012 13:56 - Andriy Lesyuk

- Due date set to 01 Jun 2012

- Status changed from Open to Closed

- % Done changed from 0 to 100
